"We recommend Ubuntu Server 18.04.3 LTS or similar"

Why they still recommend the version 18.04 of Ubutntu ? do we have to stick with this version ?
Is there any experience on installing KoboToolbox Ubuntu 20.04 ?

Yes it works on 20.04 just fine.